Loading...
Searching...
No Matches
oval_behavior.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "adt/oval_string_map_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/_error.h"`
Include dependency graph for oval_behavior.c:

## Data Structures

struct | oval_behavior
| OVAL behavior. More...

## Typedefs

typedef struct oval_behavior | oval_behavior_t

## Functions

bool | oval_behavior_iterator_has_more (struct oval_behavior_iterator *oc_behavior)
struct oval_behavior * | oval_behavior_iterator_next (struct oval_behavior_iterator *oc_behavior)
void | oval_behavior_iterator_free (struct oval_behavior_iterator *oc_behavior)
char * | oval_behavior_get_value (struct oval_behavior *behavior)
char * | oval_behavior_get_key (struct oval_behavior *behavior)
struct oval_behavior * | oval_behavior_new (struct oval_definition_model *model)
struct oval_behavior * | oval_behavior_clone (struct oval_definition_model *new_model, struct oval_behavior *old_behavior)
void | oval_behavior_free (struct oval_behavior *behavior)
void | oval_behavior_set_keyval (struct oval_behavior *behavior, const char *key, const char *value)
int | oval_behavior_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_family_t family, oval_behavior_consumer consumer, void *user)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/